Skip to main content
GET
Fetch an Event

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

event
string
required

The id or the vid of the Event to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON A full Event object.

object
string

Value is “Event”

id
string

A merchant-specified unique identifier. Optionally, this object can be identified by its vid.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. Assigned by CashBox.

Maximum string length: 128
date_received
string<date-time>

The date/time at which the event was recorded into CashBox.

event_date
string<date-time>

The date/time at which the event was recorded into CashBox.

description
string

A Merchant-specified description of the event.

subscription_item
object

The subscription item under which the event is to be recorded and billed.

account
object

The account associated with the recorded event.

subscription
object

The subscription associated with the recorded event.

product
object

The product under which the event is to be recorded and billed.

amount
number

The amount of usage units to be billed.

billed_status
enum<string>

Value can be Billed,Unbilled

Available options:
Billed,
Unbilled
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.